Loading...
Searching...
No Matches
OpenMesh::IO::_PLYReader_ Class Reference

Implementation of the PLY format reader. More...

`#include <OpenMesh/Core/IO/reader/PLYReader.hh>`

Inheritance diagram for OpenMesh::IO::_PLYReader_:
[legend]
Collaboration diagram for OpenMesh::IO::_PLYReader_:
[legend]

## Public Types

enum | ValueType { Unsupported , ValueTypeINT8 , ValueTypeCHAR , ValueTypeUINT8 , ValueTypeUCHAR , ValueTypeINT16 , ValueTypeSHORT , ValueTypeUINT16 , ValueTypeUSHORT , ValueTypeINT32 , ValueTypeINT , ValueTypeUINT32 , ValueTypeUINT , ValueTypeFLOAT32 , ValueTypeFLOAT , ValueTypeFLOAT64 , ValueTypeDOUBLE }

## Public Member Functions

std::string | get_description () const override
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const override
| Returns a string with the accepted file extensions separated by a whitespace and in small caps.
std::string | get_magic () const override
| Return magic bits used to determine file format.
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt) override
| Reads a mesh given by a filename.
bool | read (std::istream &_is, BaseImporter &_bi, Options &_opt) override
| Reads a mesh given by a std::stream.
bool | can_u_read (const std::string &_filename) const override
| Returns true if writer can parse _filename (checks extension).
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the PLY format reader.

This class is singleton'ed by SingletonT to OFFReader. It can read custom properties, accessible via the name of the custom properties. List properties has the type std::vector<Type>.

## Member Function Documentation

## can_u_read()

bool OpenMesh::IO::_PLYReader_::can_u_read | ( | const std::string & | _filename | ) | const

override virtual

Returns true if writer can parse _filename (checks extension).

_filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension

Parameters

  _filename | complete name of a file or just the extension

Returns
  true, if reader can read data with the given extension

Reimplemented from OpenMesh::IO::BaseReader.

## get_description()

std::string OpenMesh::IO::_PLYReader_::get_description | ( |  | ) | const

inline override virtual

Returns a brief description of the file type that can be parsed.

Implements OpenMesh::IO::BaseReader.

## get_extensions()

std::string OpenMesh::IO::_PLYReader_::get_extensions | ( |  | ) | const

inline override virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

## get_magic()

std::string OpenMesh::IO::_PLYReader_::get_magic | ( |  | ) | const

inline override virtual

Return magic bits used to determine file format.

Reimplemented from OpenMesh::IO::BaseReader.

## read() [1/2]

bool OpenMesh::IO::_PLYReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |

override virtual

Reads a mesh given by a filename.

Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

## read() [2/2]

bool OpenMesh::IO::_PLYReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |

override virtual

Reads a mesh given by a std::stream.

This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/reader/PLYReader.hh
- OpenMesh/Core/IO/reader/PLYReader.cc